> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-zh/nei-rong/shi-ti-lei-xing/profiles.md).

# 个人资料

资料是对玩家的基本描述，包含其在世界中的名称和头像等信息。

它们在内容服务器中以常规形式可用 [实体](https://github.com/decentraland/docs/blob/main/contributor/entities/README.md)，不过 World Explorers 通常会利用通信系统即时获取最新版本。

系统已准备好允许同一所有者拥有多个身份，并在实体清单中都作为头像包含在内。不过在实践中，绝大多数玩家只有一个。

### 指针 <a href="#pointers" id="pointers"></a>

资料 [指针](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md) 是所有者的以太坊地址，不带任何前缀或后缀。例如：

```
0x210c4415d6a71195af76beef9b85dd0eb43f35df
```

### 元数据字段

| 字段   | 值                       |
| ---- | ----------------------- |
| `头像` | 一个数组，包含所有者每个头像的描述（见下文）。 |

### 头像

中的每个头像 `metadata.avatars[]` 代表同一所有者的一个身份，并具有若干属性，使客户端能够显示资料、在世界中渲染头像并联系所有者。

| 字段               | 值                                                                                                    |
| ---------------- | ---------------------------------------------------------------------------------------------------- |
| `userId`         | 该 [指针](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md) 解析到（或曾解析到）此资料。 |
| `名称`             | 该玩家的显示名称。                                                                                            |
| `电子邮件`           | （可选）该玩家的电子邮件地址。                                                                                      |
| `描述`             | （可选）玩家选择用于描述自己的文本。                                                                                   |
| `ethAddress`     | 该玩家的以太坊地址（目前等同于其 `userId`).                                                                          |
| `hasClaimedName` | 是否 `名称` 字段是一个已认领的 ENS 名称。                                                                            |
| `unclaimedName`  | 为没有 ENS 名称的用户提供的临时名称（例如访客）。                                                                          |
| `tutorialStep`   | 该玩家教程的进度。                                                                                            |
| `avatar`         | 玩家在世界中的头像属性（见下文）。                                                                                    |

例如：

```json
{
  "userId": "0x210c4415d6a71195af76beef9b84dd0eb43f35da",
  "name": "Bob",
  "email": "",
  "hasClaimedName": false,
  "description": "",
  "ethAddress": "0x210c4415d6a71195af76beef9b84dd0eb43f35da",
  "avatar": {
    // 见下文
  }
}
```

#### 头像字段

该 `metadata.avatars[].avatar` 字段包含 World Explorer（或其他客户端，例如独立头像编辑器）渲染玩家所需的全部信息。

| 字段          | 值                                                                                                                           |
| ----------- | --------------------------------------------------------------------------------------------------------------------------- |
| `bodyShape` | 该 [指针](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md) 对应于头像的身体形状实体。                         |
| `快照`        | 一个对象，包含该头像的图像（见下文）。                                                                                                         |
| `eyes`      | 一个包含 `color` ，形式为一个 `{ r, g, b }` 用于头像眼睛的对象。                                                                                |
| `hair`      | 一个包含 `color` ，形式为一个 `{ r, g, b }` 用于头像头发的对象。                                                                                |
| `skin`      | 一个包含 `color` ，形式为一个 `{ r, g, b }` 用于头像皮肤的对象。                                                                                |
| `可穿戴物品`     | 一个包含 [可穿戴物品指针](https://github.com/decentraland/docs/blob/main/contributor/entity-types/wearables/README.md#pointers) 由头像使用。 |

例如：

```json
{
  "bodyShape": "urn:decentraland:off-chain:base-avatars:BaseMale",
  "snapshots": {
    // 见下文
  },
  "eyes": {
    "color": { "r": 0.37109375, "g": 0.22265625, "b": 0.1953125 }
  },
  "hair": {
    "color": { "r": 0.234375, "g": 0.12890625, "b": 0.04296875 }
  },
  "skin": {
    "color": { "r": 0.80078125, "g": 0.609375, "b": 0.46484375 }
  },
  "wearables": [
    "urn:decentraland:off-chain:base-avatars:eyes_00",
    "urn:decentraland:off-chain:base-avatars:eyebrows_00",
    "urn:decentraland:off-chain:base-avatars:mouth_00",
    "urn:decentraland:off-chain:base-avatars:m_mountainshoes.glb",
    "urn:decentraland:off-chain:base-avatars:sport_jacket",
    "urn:decentraland:off-chain:base-avatars:brown_pants",
    "urn:decentraland:off-chain:base-avatars:aviatorstyle",
    "urn:decentraland:off-chain:base-avatars:casual_hair_03",
    "urn:decentraland:off-chain:base-avatars:Mustache_Short_Beard"
  ]
}
```

#### 快照

该 `metadata.avatars[].avatar.snapshots` 字段包含 [文件标识符](https://github.com/decentraland/docs/blob/main/contributor/filesystem/README.md#identifiers) 用于图像（包含在 [`内容` 顶级字段](https://github.com/decentraland/docs/blob/main/contributor/entities/README.md#properties)）中。每个属性都是一种图像类型，目前有两种： `face256` （缩略图）和 `body` （完整尺寸版本）。

例如：

```json
{
  "face256": "bafkreidvjwc3gqqdqk646rqnxnqzpsyjsjafqfc76zenfgjnm2ahbvrtsd",
  "body": "bafkreigclygt6vzzu7myzg3weifapb3a5uec245lzndg4f53y4vfb3cmwm"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decentraland.org/contributor/contributor-zh/nei-rong/shi-ti-lei-xing/profiles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
